# SETERRQ3

Macro that is called when an error has been detected, Not Collective

### Synopsis

    void SETERRQ3(PetscErrorCode errorcode,char *formatmessage,arg1,arg2,arg3)

### Input Parameters

| errorcode | - nonzero error code, see the list of standard error codes in include/petscerror.h
| message | - error message in the printf format
| arg1 | - argument (for example an integer, string or double)
| arg2 | - argument (for example an integer, string or double)
| arg3 | - argument (for example an integer, string or double)

### Notes

Once the error handler is called the calling function is then returned from with the given error code.

There are also versions for 4, 5, 6 and 7 arguments.

Experienced users can set the error handler with PetscPushErrorHandler().

### See Also

PetscTraceBackErrorHandler(), PetscPushErrorHandler(), PetscError(), CHKERRQ(), CHKMEMQ, SETERRQ1(), SETERRQ2()

Level:beginner
Location: src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages